#ifndef LANGUAGE_INCLUDED
#define LANGUAGE_INCLUDED

#include "farManager.h"

namespace lng
{
	namespace main
	{
		const LanguageString title (0);
		const LanguageString attach(1);
		const LanguageString pause (2);
		const LanguageString seek  (3);
		const LanguageString phrase(4);
		const LanguageString style (5);
		const LanguageString timing(6);
	}

	namespace attach
	{
		const LanguageString title (7);
		const LanguageString detach(8);
	}

	namespace seek
	{
		const LanguageString title         (9);
		const LanguageString start        (10);
		const LanguageString end          (11);
		const LanguageString previousFrame(12);
		const LanguageString nextFrame    (13);
		const LanguageString custom       (14);

		namespace dialog
		{
			const LanguageString title    (15);
			const LanguageString prompt   (16);
		}
	}

	namespace phrase
	{
		const LanguageString title            (17);
		const LanguageString edit             (18);
		const LanguageString splitSequential  (19);
		const LanguageString splitSimultaneous(20);
		const LanguageString splice           (21);
		const LanguageString fixOverlay       (22);
		const LanguageString moveUp           (23);
		const LanguageString moveDown         (24);
	}

	namespace style
	{
		const LanguageString title(25);
	}

	namespace timing
	{
		const LanguageString title   (26);
		const LanguageString setStart(27);
		const LanguageString setEnd  (28);
		const LanguageString shift   (29);
		const LanguageString duration(30);

		namespace scope
		{
			const LanguageString title(31);
			const LanguageString currentPhrase(32);
			const LanguageString selection(33);
			const LanguageString remainder(34);
			const LanguageString wholeScript(35);
		}

		namespace dialog
		{
			const LanguageString shiftTitle(36);
			const LanguageString durationTitle(37);
			const LanguageString shiftBy(38);
			const LanguageString changeBy(39);
			const LanguageString startTime(40);
			const LanguageString endTime(41);
			const LanguageString duration(42);
			const LanguageString original(43);
			const LanguageString current(44);
		}
	}
}
#endif